Part Tube/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand
|Name=Part Tube
|Name=Part Tube
Line 18: Line 19:
|SeeAlso=[[Part_CreatePrimitives/de|Part ErstelleGrundkörper]]
|SeeAlso=[[Part_CreatePrimitives/de|Part ErstelleGrundkörper]]
}}
}}
</div>


==Beschreibung==
==Beschreibung==


<div class="mw-translate-fuzzy">
Der Befehl Rohr fügt ein Rohr in das aktive Dokument ein. Das Rohr wird geometrisch als ein Schnitt eines kleineren Zylinders in einen größeren behandelt. Standardmäßig fügt der Befehl ein 10 mm hohes Rohr mit einem Außenradius von 5 mm und einem Innenradius von 2 mm ein. Diese Parameter können geändert werden, nachdem das Objekt hinzugefügt wurde.
Der Befehl Rohr fügt ein Rohr in das aktive Dokument ein. Das Rohr wird geometrisch als ein Schnitt eines kleineren Zylinders in einen größeren behandelt. Standardmäßig fügt der Befehl ein 10 mm hohes Rohr mit einem Außenradius von 5 mm und einem Innenradius von 2 mm ein. Diese Parameter können geändert werden, nachdem das Objekt hinzugefügt wurde.
</div>


[[Image:Part_Tube-screenshot.png|Bildschirmfoto eines Rohrs]]
[[Image:Part_Tube_Example.png|400px]]


==Anwendung==
==Anwendung==

=== Create ===


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 33: Line 39:
</div>
</div>


=== Edit ===
<div class="mw-translate-fuzzy">

Um das Rohr zu bearbeiten
# Double-click the tube in the [[Tree_view|Tree view]]
* entweder
# The {{MenuCommand|Tube}} task panel opens.
** wähle es im Baum aus und doppelklicke darauf
# Change one or more dimensions.
** bearbeite die Parameter im erscheinenden Dialog
# The tube is dynamically updated in the [[3D_view|3D view]].
* oder verwende den [[Property_editor/de| Eigenschaftseditor]], um die Parameter zu bearbeiten
# Press the {{Button|OK}} button.
</div>

== Example ==

[[Image:Part_Tube_Scripting_Example.png|thumb|Part Tube from the scripting example]]

A Part Tube object created with the [[#Scripting|scripting example]] below is shown here.


==Eigenschaften==
==Eigenschaften==

See also: [[Property_editor|Property editor]].

A Part Tube object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Tube}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 54: Line 78:
== Scripting ==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Tube can be created using the following function:

A Part Tube can be created with the {{Incode|addTube()}} method ({{Version|0.20}}) of the Shapes module:


{{Code|code=
{{Code|code=
tube = FreeCAD.ActiveDocument.addObject("Part::Tube", "myTube")
tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
}}
}}


* Where {{Incode|"myTube"}} is the name for the object.
* Where {{Incode|"myTube"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()
}}




Line 73: Line 116:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:01, 3 March 2022

Part Tube

Menu location
Part → Grundkörper → Rohr erstellen
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part ErstelleGrundkörper

Beschreibung

Der Befehl Rohr fügt ein Rohr in das aktive Dokument ein. Das Rohr wird geometrisch als ein Schnitt eines kleineren Zylinders in einen größeren behandelt. Standardmäßig fügt der Befehl ein 10 mm hohes Rohr mit einem Außenradius von 5 mm und einem Innenradius von 2 mm ein. Diese Parameter können geändert werden, nachdem das Objekt hinzugefügt wurde.

Anwendung

Create

Um ein Rohr zu erstellen, entweder:

  • drücke die Rohr Taste in der Werkzeugleiste
  • verwende das Menü Part → Grundkörper → Rohr erstellen

Edit

  1. Double-click the tube in the Tree view
  2. The Tube task panel opens.
  3. Change one or more dimensions.
  4. The tube is dynamically updated in the 3D view.
  5. Press the OK button.

Example

Part Tube from the scripting example

A Part Tube object created with the scripting example below is shown here.

Eigenschaften

See also: Property editor.

A Part Tube object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Tube

  • Über den Eigenschafteneditor:
    • Höhe: Legt die Höhe fest (Standardwert ist 10 mm).
    • Innerer Radius: Legt den inneren Radius fest (Standardwert ist 2 mm).
    • Außenradius: Legt den Außenradius fest (Standardwert ist 5 mm).
    • Platzierung: Legt die Ausrichtung und Position der Box im 3D Raum fest. Siehe Platzierung. Der Bezugspunkt ist die linke vordere untere Ecke des Kastens.
    • Beschriftung: Die Beschriftung ist der Name, der der Operation gegeben wird. Dieser Name kann nach Belieben geändert werden.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Tube can be created with the addTube() method (introduced in version 0.20) of the Shapes module:

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
  • Where "myTube" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()